Bug Hunting Session
Bug 113063 - In a textbox and RTL directionality - weak characters misplaced when sentence begins with LTR text
Summary: In a textbox and RTL directionality - weak characters misplaced when sentence...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: RTL-Textbox
  Show dependency treegraph
 
Reported: 2017-10-12 11:57 UTC by Lior Kaplan
Modified: 2018-09-27 09:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
testdoc for 113063 (20.57 KB, application/vnd.oasis.opendocument.presentation)
2017-10-12 11:58 UTC, Lior Kaplan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lior Kaplan 2017-10-12 11:57:41 UTC
Description:
Similar to bug #103495 but for Impress. More severe as all text in Impress is in textboxes (while in writer can be done without).

Steps to Reproduce:

Copy this sentence to a textbox in impress. Notice the location of the full stop.

English עבריתmore עוד.

Actual Results:  
Text appears in the wrong order

Expected Results:
For it to appear in right order, e.g. the full stop at the end of the sentence.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36
Comment 1 Lior Kaplan 2017-10-12 11:58:57 UTC
Created attachment 136921 [details]
testdoc for 113063

As demonstrated during LibOCon 2017
Comment 2 Xisco Faulí 2017-10-14 09:27:51 UTC
Hi Lior,
Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ as well?

OTOH, is it also reproduced in version of LibreOffice 3.3 (oldest one) from http://downloadarchive.documentfoundation.org/libreoffice/old/ ?
Comment 3 Omer Zak 2017-11-15 12:27:02 UTC
Still happens in:

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 4 Mark Hung 2018-02-25 03:01:10 UTC
Reproducible with portable versions of LibreOffice in:
Version: 5.3.0.3
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
Locale: zh-TW (zh_TW); Calc: group

not in
版本:5.2.0.4
組建 ID:066b007f5ebcc236395c7d282ba488bca6720265
CPU 執行緒:8; OS 版本:Windows 6.2; UI 算繪:預設; 
語言地區:zh-TW (zh_TW)

Set as new.
Comment 5 Mark Hung 2018-03-03 05:35:25 UTC
Please check with latest master build. Possibly fixed with the following commit:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e85aa0cc8b306c2f5ca6240b99e1704f772dbebb

tdf#60533 invoke ubidi_setPara with correct paraLevel parameter.

It will be available in 6.1.0.
Comment 6 Mark Hung 2018-04-28 13:19:53 UTC
Verified in 
Version: 6.1.0.0.alpha1
Build ID: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 7 Lior Kaplan 2018-09-27 09:33:09 UTC
Verified in Version: 6.1.1.2.